package com.huimv.env.admin.service;


import com.huimv.env.admin.common.utils.Result;

import java.util.List;
import java.util.Map;

public interface IAuthorizeService {

    Result saveAccountGroup(String accountId, String groupIds);

    Result saveGroupMenu(String groupId, String menuIds, String isAll);


    Result getMenuByGroup(Map map);

    Result getGroupByAccount(String accountId);

    Result getAccountByGroup(String groupId);


    List getMyMenuAll(String accountName, String farmId);

    List getMyButton(Integer userId, Integer farmId);

    List getMyMenuMultilevel(String userId);

    Result getMenuByGroupAndFarm(Map<String, String> map);
}
